[package]
name = "workerlib"
version = "2.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
chrono = "0.4.23"
reqwest = { version = "0.12.12", features = ["stream"] }
futures-util = "0.3.31"
relative-path = { version = "1.8.0", features = ["serde"] }
serde = { version = "1.0.160", features = ["derive"] }
serde_json = "1.0.93"
serde_yaml = "0.9.17"
thiserror = "1.0.38"
url = { version = "2.3.1", features = ["serde"] }
walkdir = "2.3.3"
tokio = { version = "1.27.0", features = ["rt", "macros", "time", "io-util"] }
futures = "0.3.28"
clap = { version = "4.1.8", features = ["derive"] }
mockito = "1.4.0"
tempfile = "3.4.0"
tracing = "0.1.40"
serde_with = "3.6.1"
git2 = "0.18.3"
glob = "0.3.1"
fancy-regex = "0.13.0"
sha2 = "0.10.8"


[dev-dependencies]
tempfile = "3.4.0"
git-server = {path = "../git-server"}
port_check = "0.2.1"
